OpenNMS API 1.2.9

## org.opennms.netmgt.notifd
Class XMPPNotificationStrategy

    java.lang.Object
      org.opennms.netmgt.notifd.XMPPNotificationStrategy

All Implemented Interfaces:
  NotificationStrategy

public class XMPPNotificationStrategy
extends java.lang.Object
implements NotificationStrategy

Implements NotificationStragey pattern used to send notifications using the XMPP message protocol.

Author:
  Chris Abernethy

Field Summary
`private static java.lang.String[]` `INDEX_TO_NAME` Mapping of index values to meaningful strings.
`private org.apache.log4j.Category` `log`
`private java.util.Properties` `props`
`private static int` `XMPP_MAX` The value of this constant indicates the number of XMPP constants defined.
`private static int` `XMPP_MESSAGE` Text of XMPP Message to be sent.
`private static int` `XMPP_TO` String used to identify the user to whom the XMPP message will be sent.

Constructor Summary
`XMPPNotificationStrategy()`

Method Summary
`private java.lang.String[]` `parseArguments(java.util.List arguments)` This method extracts the xmpp address and message text from the parameters passed in the notification.
`int` `send(java.util.List arguments)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XMPP_TO

    private static final int XMPP_TO

  String used to identify the user to whom the XMPP message will be sent.

### XMPP_MESSAGE

    private static final int XMPP_MESSAGE

  Text of XMPP Message to be sent.

### XMPP_MAX

    private static final int XMPP_MAX

  The value of this constant indicates the number of XMPP constants defined.

### INDEX_TO_NAME

    private static final java.lang.String[] INDEX_TO_NAME

  Mapping of index values to meaningful strings.

### props

    private java.util.Properties props

### log

    private org.apache.log4j.Category log

Constructor Detail

### XMPPNotificationStrategy

    public XMPPNotificationStrategy()

Method Detail

### send

    public int send(java.util.List arguments)

  Specified by:
    `send` in interface `NotificationStrategy`

### parseArguments

    private java.lang.String[] parseArguments(java.util.List arguments)
                                       throws java.lang.Exception

  This method extracts the xmpp address and message text from the parameters passed in the notification.

  Parameters:
    `arguments` -
  Returns:
    String[]
  Throws:
    `java.lang.Exception`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.